.ic-sidebar {
    color: #ffffff;
    position: relative;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    height: 100dvh;
    pointer-events: none;
}

.ic-sidebar-bg {
    display: none;
}

.ic-sidebar-menu-item-large {
    font-size: 2.2rem;
    font-weight: 400;
    color: #ffffff;
    animation-name: menuItemAnimIn;
}

.ic-sidebar-menu-item-large::after {
    background-color: #ffffff;
    height: 3px;
}

.ic-sidebar-menu-item-large-decoration {
    font-size: 2.5rem;
    font-weight: 400;
    color: #ffffff;
    display: inline;
    margin-left: 10px;
    pointer-events: none;
    user-select: none;
}

.ic-sidebar-menu-item-entry-anim {
    animation-name: menuItemAnimIn;
    animation-fill-mode: both;
    animation-duration: 500ms;
    animation-delay: calc(var(--animation-order) * 100ms);
    animation-timing-function: ease-in-out;
}

.ic-sidebar-graphic {
    border: 0.1vw solid white;
    background-size: cover;
    background-position: center;
    background-clip: border-box;
    background-origin: border-box;
    width: 80vw;
}

.ic-sidebar-graphic::after {
    content: "";
    display: block;
    padding-bottom: 100%;
}

@keyframes menuItemAnimIn {
    0% {
        opacity: 0;
        transform: translateX(-4vw);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.ic-sidebar-menu-item-anim-class {
    animation-duration: 0.5s;
    animation-timing-function: ease-in-out;
    animation-name: ic-sidebar-menu-item-anim;
}

@keyframes ic-sidebar-menu-item-anim {
    0% {
        margin-left: -5vw;
        opacity: 0;
    }
    100% {
        margin-left: 0;
        opacity: 1;
    }
}

.ic-sidebar-menu-item-current::after {
    transform: scaleX(1);
}

.ic-sidebar-controls {
    display: flex;
    background-color: black;
    height: var(--sidebar-dimension-mobile);
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    padding: 2vh 6vw 2vh 6vw;
    pointer-events: all;
}

.ic-sidebar-controls .ic-iconbutton {
    transition: transform 0.25s ease-in-out;
}

.ic-sidebar-menu-desktop {
    display: none;
}

.ic-sidebar-content {
    height: 0vh;
    max-height: 100vh;
    transition: height 0.5s ease-in-out;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    background-color: #000000;
    box-sizing: border-box;
    pointer-events: all;
}

.ic-sidebar-content-container-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.ic-sidebar-content-container {
    display: flex;
    flex-direction: column;
    align-items: start;
    box-sizing: border-box;
    overflow-x: hidden;
    overflow-y: scroll;
    scrollbar-width: none;
    -ms-overflow-style: none;
    flex: 1;
}

.ic-sidebar-content-container::-webkit-scrollbar {
    display: none;
}

.ic-sidebar-content-misc {
    display: none;
}

.ic-sidebar-content-other {
    display: flex;
    flex-direction: column;
    flex: 0;
    gap: 10px;
}

.ic-sidebar-content-other a {
    margin-right: 4vw;
    font-size: 1.5rem;
    color: #ffffff;
}

.ic-sidebar-content-other a::after {
    background-color: #ffffff;
}

.ic-sidebar-content-other-info {
    display: none;
}

.ic-sidebar-content-other-links {
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: start;
}

.ic-sidebar-content-other-links a {
    font-size: 1.1rem;
    margin: 0px;
    color: rgb(120, 120, 120);
    transition: color 0.25s ease-in-out;
}

.ic-sidebar-content-other-links a:hover {
    color: #fff;
}

.ic-sidebar-content-other-links a::after {
    height: 0px;
}

.ic-sidebar-content-other-links p {
    font-size: 1.1rem;
    margin: 0px;
    padding: 0px 10px;
    color: rgb(120, 120, 120);
    pointer-events: none;
}

.ic-sidebar-container {
    position: fixed;
    top: 0;
    z-index: 4;
    width: 100vw;
    height: var(--sidebar-dimension-mobile);
    margin-top: var(--wp-admin--admin-bar--height);
}

.ic-sidebar-container-home {
    top: calc(var(--sidebar-dimension-mobile) * -1);
    transition: top 0.35s ease-in-out;
}

.ic-sidebar-content-padding {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    height: 100%;
    padding: 1vh 10vw 4vh 10vw;
    opacity: 0;
    transition: opacity 0.25s ease-in-out;
}

@media screen and (min-width: 767px) {
    .ic-sidebar {
    }

    .ic-sidebar-bg {
        display: none;
        position: absolute;
        top: 0;
        bottom: 0;
        width: 200vw;
        height: 200vh;
        background-color: rgba(0, 0, 0, 0.7);
        opacity: 0;
        transition: all 0.1s ease-in-out;
        z-index: -1;
        pointer-events: all;
    }

    .ic-sidebar-content {
        transition: height 0.5s cubic-bezier(.79,.14,.15,.86);
    }

    .ic-sidebar-controls {
        height: var(--sidebar-dimension-desktop);
        padding: 0.6rem 1.8rem;
    }

    .ic-sidebar-controls .ic-iconbutton {
        font-size: 2rem;
    }

    .ic-sidebar-container-home {
        top: calc(var(--sidebar-dimension-desktop) * -1);
    }

    .ic-sidebar-menu-desktop {
        padding: 0px;
        margin: 0px;
        margin-left: 2.5rem;
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 10px;
        list-style-type: ""
    }

    .ic-sidebar-menu-desktop-item-current::after {
        transform: scaleX(1);
    }

    .ic-sidebar-menu-desktop a {
        font-size: 1.8rem;
        color: #fff;
    }

    .ic-sidebar-menu-desktop a::after {
        background-color: #fff;
    }

    .ic-sidebar-menu-desktop p {
        margin: 0px;
        font-size: 1.8rem;
    }

    .ic-sidebar-content-container {
        display: none;
    }

    .ic-sidebar-content-other-info {
        display: flex;
        flex: 1;
        flex-direction: column;
        justify-content: space-evenly;
        gap: 10px;
    }

    .ic-sidebar-content-other {
        flex-direction: row;
        justify-content: space-between;
        box-sizing: border-box;
    }

    .ic-sidebar-graphic-div {
        display: flex;
        flex-direction: column;
        flex-shrink: 1;
        align-self: end;
        width: 40%;
    }

    .ic-sidebar-graphic {
        display: flex;
        width: 100%;
        height: 150px;
    }

    .ic-sidebar-content-padding {
        padding: 0px 80px 20px;
        box-sizing: border-box;
    }
}

@media screen and (min-width: 1024px) {
    .ic-sidebar {
    }

    .ic-sidebar-controls {
        margin: var(--basic-margin);
        margin-top: 0px;
        margin-bottom: 0px;
    }

    .ic-sidebar-content {
        margin: var(--basic-margin);
        margin-top: 0px;
        margin-bottom: 0px;
    }

    .ic-sidebar-content-other-info h3 {
        font-size: 2.5rem;
    }

    .ic-sidebar-content-other-info a {
        font-size: 1.8rem;
    }

    .ic-sidebar-content-other-links a {
        font-size: 1.5rem;
    }

    .ic-sidebar-content-other-links p {
        font-size: 1.5rem;
    }
}
